<?php

function action_gateway($recipientsNumbers = null)
{
    $smsapiClient = new SMSApiClientProxy();

    $settingsGeneral = get_option('smsapi_client', array());
    $settingsSubscription = get_option('smsapi_subscription', array());

    $config = array_merge($settingsGeneral, $settingsSubscription);

    $senderNames = $smsapiClient->getSenderNames();
    $defaultSendername = array_safe_get($config, 'api_sendername');

    if ($recipientsNumbers) {
        $recipients = implode(',', $recipientsNumbers);
    }

    if (!empty($_POST)) {
        $form = new GatewayForm($_POST, $senderNames);

        if ($form->isValid()) {
            $data = $form->getData();

            $recipients = array_safe_get($data, 'recipients');
            $message = array_safe_get($data, 'message');
            $sendername = array_safe_get($data, 'sendername');
            $normalize = array_safe_get($data, 'normalize');

            $smsapiClient->setSendername($sendername);
            $smsapiClient->setNormalize($normalize);

            $reciepientsType = array_safe_get($_POST, 'recipients_type');

            if ($reciepientsType == 'all') {
                $smsapiClient->sendSmsToAll($message);
            } elseif ($reciepientsType == 'specified') {
                $numbers = explode(',', $recipients);
                $smsapiClient->sendSms($numbers, $message);
            }

            set_flash_success(__('Message was send', 'smsapi'));
        } else {
            $errors = $form->getErrors();
            set_flash_error(__('Correct errors on the form and try again', 'smsapi'));
        }
    }

    include_once SMSAPI_PLUGIN_PATH . "/views/admin/gateway/index.php";
}