<?php

require_once SMSAPI_PLUGIN_PATH . '/forms.php';

function action_settings_general()
{
    if (is_post_request()) {
        $form = new SmsapiSettingsGeneralForm($_POST);

        if ($form->isValid()) {
            $data = $form->getData();
            update_option('smsapi_client', $data);

            SmsapiConfig::updateApiClient($data);
            SmsapiConfig::configurationGeneralCompleted();

            $smsapiClient = new SMSApiClientProxy();
            $smsapiClient->getPhonebookGroups();

            set_flash_success(__('Data has been saved', 'smsapi'));
            set_flash_warning(__('Please select group and sender name to finish settings', 'smsapi'));
        } else {
            set_flash_error(__('Correct errors on the form and try again', 'smsapi'));
            $errors = $form->getErrors();
        }
    }

    $config = get_option('smsapi_client', array());

    $smsapiClient = new SMSApiClientProxy();

    $senderNames = $smsapiClient->getSenderNames();
    $phonebookGroups = $smsapiClient->getPhonebookGroups();

    include_once SMSAPI_PLUGIN_PATH . "/views/admin/settings/general.php";
}

function action_settings_general_ext()
{
    if (is_post_request()) {
        $form = new SmsapiSettingsGeneralForm($_POST);

        if ($form->isValid()) {
            $data = $form->getData();

            $newGroupName = array_safe_get($data, 'new_group_name');

            if (array_safe_get($_POST, 'add_new_group') and $newGroupName) {
                $smsapiClient = new SMSApiClientProxy();

                if ($group = $smsapiClient->addGroup($newGroupName)) {
                    $data['phonebook_group'] = $group->getId();
                }

                unset($data['new_group_name']);
            }

            SmsapiConfig::updateApiClient($data);
            SmsapiConfig::configurationGeneralExtCompleted();

            set_flash_success(__('Data has been saved', 'smsapi'));
        } else {
            set_flash_error(__('Correct errors on the form and try again', 'smsapi'));
            $errors = $form->getErrors();
        }
    }

    $config = get_option('smsapi_client', array());

    $smsapiClient = new SMSApiClientProxy();

    $senderNames = $smsapiClient->getSenderNames();
    $phonebookGroups = $smsapiClient->getPhonebookGroups();

    include_once SMSAPI_PLUGIN_PATH . "/views/admin/settings/general.php";
}

function action_settings_subscription()
{
    if (is_post_request()) {
        $form = new SmsapiSettingsSubscriptionForm($_POST);

        if ($form->isValid()) {
            update_option('smsapi_subscription', $form->getData());
            set_flash_success(__('Data has been saved', 'smsapi'));
        } else {
            set_flash_error(__('Correct errors on the form and try again', 'smsapi'));
            $errors = $form->getErrors();
        }
    }

    $clientConfig = get_option('smsapi_client', array());
    $subscriptionConfig = get_option('smsapi_subscription', array());

    $config = array_merge($clientConfig, $subscriptionConfig);

    include_once SMSAPI_PLUGIN_PATH . "/views/admin/settings/subscription.php";
}

function action_settings_notifications()
{
    if (is_post_request()) {
        $form = new SmsapiSettingsNotificationsForm($_POST);

        if ($form->isValid()) {
            update_option('smsapi_notifications', $form->getData());
            set_flash_success(__('Data has been saved', 'smsapi'));
        } else {
            set_flash_error(__('Correct errors on the form and try again', 'smsapi'));
            $errors = $form->getErrors();
        }
    }

    $clientConfig = get_option('smsapi_client', array());
    $notificationsConfig = get_option('smsapi_notifications', array());

    $config = array_merge($clientConfig, $notificationsConfig);

    include_once SMSAPI_PLUGIN_PATH . "/views/admin/settings/notifications.php";
}