<div class="wrap">

    <?php include(dirname(__FILE__) . '/../flash_info.php'); ?>

    <form name="send-sms-form" id="send-sms-form" method="POST">
        <table class="form-table">
            <tr>
                <th><?php _e("Sendername", 'smsapi'); ?>:</th>

                <td>
                    <select name="sendername" id="sendername">
                        <?php if(!empty($senderNames)): ?>
                            <?php foreach($senderNames as $sender): ?>
                                <option value="<?php echo $sender->getName(); ?>" <?php echo ($defaultSendername == $sender->getName()) ? 'selected' : ''; ?>>
                                    <?php echo $sender->getName(); ?>
                                </option>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </select>

                    <?php if (array_safe_get($errors, 'sendername')): ?>
                        <div class="text-danger"><?php echo array_safe_get($errors, 'sendername'); ?></div>
                    <?php endif; ?>
                </td>
            </tr>

            <tr>
                <th><?php _e("Sent to", "smsapi"); ?>:</th>

                <td>
                    <select name="recipients_type" id="recipients-type-select">
                        <option value="all"><?php _e('To all', 'smsapi'); ?></option>
                        <option value="specified" <?php echo isset($recipients) ? 'selected' : ''; ?>><?php _e('To specified', 'smsapi'); ?></option>
                    </select>

                    <?php if (array_safe_get($errors, 'recipients_type')): ?>
                        <div class="text-danger"><?php echo array_safe_get($errors, 'recipients_type'); ?></div>
                    <?php endif; ?>

                    <br />

                    <div id="recipients-specified" class="<?php echo empty($recipients) ? ' hidden' : '' ?>">
                        <textarea type="text" class="regular-text" name="recipients"><?php isset($recipients) ? _e($recipients) : ''; ?></textarea>
                        <p class="description"><?php _e('Numbers separated by comma.', 'smsapi'); ?></p>
                    </div>
                </td>
            </tr>

            <tr>
                <th><?php _e("Message", "smsapi"); ?>:</th>

                <td>
                    <textarea name="message" id="message"></textarea>

                    <?php if (array_safe_get($errors, 'message')): ?>
                        <div class="text-danger"><?php echo array_safe_get($errors, 'message'); ?></div>
                    <?php endif; ?>
                </td>
            </tr>

            <tr>
                <th>
                    <?php _e('Normalize message content', 'smsapi'); ?>
                </th>

                <td>
                    <input type="checkbox" name="normalize" id="smsapi-normalize" />
                </td>
            </tr>

            <tr>
                <td>
                    <input type="submit" name="" id="settings-form-submit" class="btn btn-primary" value="<?php _e('Send', 'smsapi'); ?>">
                </td>
            </tr>
        </table>
    </form>
</div>

<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#recipients-type-select").on('change', function() {
            if ($(this).val() == 'specified') {
                $("#recipients-specified").show();
            } else {
                $("#recipients-specified").hide();
            }
        }).trigger('change');
    });
</script>